## org.eclipse.datatools.modelbase.sql.accesscontrol.util
Class SQLAccessControlAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.accesscontrol.util.SQLAccessControlAdapterFactory

Direct Known Subclasses:
  SQLAccessControlItemProviderAdapterFactory

public class SQLAccessControlAdapterFactory
extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLAccessControlPackage`, Serialized Form

Constructor Summary
`SQLAccessControlAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createAuthorizationIdentifierAdapter()` Creates a new adapter for an object of class '`Authorization Identifier`'.
`Adapter` `createDoubleObjectPrivilegeAdapter()` Creates a new adapter for an object of class '`Double Object Privilege`'.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createGroupAdapter()` Creates a new adapter for an object of class '`Group`'.
`Adapter` `createPrivilegeAdapter()` Creates a new adapter for an object of class '`Privilege`'.
`Adapter` `createRoleAdapter()` Creates a new adapter for an object of class '`Role`'.
`Adapter` `createRoleAuthorizationAdapter()` Creates a new adapter for an object of class '`Role Authorization`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createTablePrivilegeAdapter()` Creates a new adapter for an object of class '`Table Privilege`'.
`Adapter` `createUserAdapter()` Creates a new adapter for an object of class '`User`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLAccessControlAdapterFactory

    public SQLAccessControlAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAuthorizationIdentifierAdapter

    public Adapter createAuthorizationIdentifierAdapter()

  Creates a new adapter for an object of class '`Authorization Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuthorizationIdentifier`

### createPrivilegeAdapter

    public Adapter createPrivilegeAdapter()

  Creates a new adapter for an object of class '`Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Privilege`

### createGroupAdapter

    public Adapter createGroupAdapter()

  Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Group`

### createUserAdapter

    public Adapter createUserAdapter()

  Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `User`

### createRoleAdapter

    public Adapter createRoleAdapter()

  Creates a new adapter for an object of class '`Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Role`

### createRoleAuthorizationAdapter

    public Adapter createRoleAuthorizationAdapter()

  Creates a new adapter for an object of class '`Role Authorization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RoleAuthorization`

### createTablePrivilegeAdapter

    public Adapter createTablePrivilegeAdapter()

  Creates a new adapter for an object of class '`Table Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TablePrivilege`

### createDoubleObjectPrivilegeAdapter

    public Adapter createDoubleObjectPrivilegeAdapter()

  Creates a new adapter for an object of class '`Double Object Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DoubleObjectPrivilege`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.